%define upstream_name    Test-Requires-Git
%define upstream_version 1.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Check your test requirements against the available version of Git
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Git::Version::Compare)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Test::Requires::Git checks if the version of Git available for testing
meets the given requirements.

The "current git" is obtained by running 'git --version' (so the first
'git' binary found in the 'PATH' will be tested).

If the checks fail, then all tests will be _skipped_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.8.0-4.mga8
+ Revision: 1506535
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-3.mga7
+ Revision: 1286802
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.8.0-2.mga7
+ Revision: 1166892
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 1.8.0-1.mga7
+ Revision: 1141578
- update to 1.008

* Sun Jan 15 2017 shlomif <shlomif> 1.7.0-1.mga6
+ Revision: 1081772
- New version 1.007.

* Tue May 17 2016 yuri_myasoedov <yuri_myasoedov> 1.6.0-1.mga6
+ Revision: 1016419
- %%makeinstall_std is replaced with %%make_install.
- %%make is replaced with %%make_build.
- update to new version 1.006

* Fri Apr 29 2016 shlomif <shlomif> 1.5.0-1.mga6
+ Revision: 1007834
- imported package perl-Test-Requires-Git


* Fri Apr 29 2016 cpan2dist 1.005-1mga
- initial mageia release, generated with cpan2dist
